TailerListener (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.input

## Interface TailerListener

- All Known Implementing Classes:
    TailerListenerAdapter

      public interface TailerListener

  Listener for events from a `Tailer`.
  Since:
    2.0
  Version:
    $Id: TailerListener.java 1714076 2015-11-12 16:06:41Z krosenvold $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fileNotFound()` This method is called if the tailed file is not found.
    `void` | `fileRotated()` Called if a file rotation is detected.
    `void` | `handle(java.lang.Exception ex)` Handles an Exception .
    `void` | `handle(java.lang.String line)` Handles a line from a Tailer.
    `void` | `init(Tailer tailer)` The tailer will call this method during construction, giving the listener a method of stopping the tailer.

- - ### Method Detail

    - #### init

          void init(Tailer tailer)

      The tailer will call this method during construction, giving the listener a method of stopping the tailer.
      Parameters:
        `tailer` - the tailer.

    - #### fileNotFound

          void fileNotFound()

      This method is called if the tailed file is not found.

      Note: this is called from the tailer thread.

    - #### fileRotated

          void fileRotated()

      Called if a file rotation is detected. This method is called before the file is reopened, and fileNotFound may be called if the new file has not yet been created.

      Note: this is called from the tailer thread.

    - #### handle

          void handle(java.lang.String line)

      Handles a line from a Tailer.

      Note: this is called from the tailer thread.

      Parameters:
        `line` - the line.

    - #### handle

          void handle(java.lang.Exception ex)

      Handles an Exception .

      Note: this is called from the tailer thread.

      Parameters:
        `ex` - the exception.

Copyright (c) 2002-2016 Apache Software Foundation